package com.miya.fastcashier.service

import com.miya.fastcashier.beans.SelfCashierAccountInfo
import com.sdy.miya.moblie.component.pay.platform.bean.MiyaOrderRefundResponse

object AccountService {

    private var selfCashierAccountInfo: SelfCashierAccountInfo? = null;
    private var userName: String? = ""
    private var accountPassword: String? = ""

    fun setAccountInfo(selfCashierAccountInfo: SelfCashierAccountInfo?) {
        this.selfCashierAccountInfo = selfCashierAccountInfo
    }

    fun getAccountInfo(): SelfCashierAccountInfo? {
        return selfCashierAccountInfo;
    }

    fun setUserName(userName: String) {
        this.userName = userName
    }

    fun getUserName(): String {
        return userName.toString();
    }

    fun getAccountPassword(): String {
        return accountPassword.toString();
    }

    fun setAccountPassword(accountPassword: String) {
        this.accountPassword = accountPassword
    }

    fun clear(){
        selfCashierAccountInfo = null
        userName = ""
        accountPassword = ""
    }
}